[SCM] live-build branch, debian-next, updated. debian/3.0_a48-1-16-g9c8e546

Daniel Baumann daniel at debian.org
Mon Jun 4 08:56:38 UTC 2012


The following commit has been merged in the debian-next branch:
commit 9c8e546454aa604effdd7280d5d9d91b64074405
Author: Daniel Baumann <daniel at debian.org>
Date:   Mon Jun 4 10:56:37 2012 +0200

    Moving local includes from auto/{functions,scripts} to local/{functions,scripts} where they belong.

diff --git a/functions/common.sh b/functions/common.sh
index 52f826d..538d180 100755
--- a/functions/common.sh
+++ b/functions/common.sh
@@ -12,4 +12,4 @@ PROGRAM="live-build"
 VERSION="$(cat ${LB_BASE}/VERSION)"
 CONFIG_VERSION="$(echo ${VERSION} | awk -F- '{ print $1 }')"
 
-PATH="${PWD}/auto/scripts:${PATH}"
+PATH="${PWD}/local/scripts:${PATH}"
diff --git a/scripts/build.sh b/scripts/build.sh
index 74898d4..500c76d 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -17,9 +17,9 @@ do
 done
 
 # Source local functions
-if ls auto/functions/* > /dev/null 2>&1
+if ls local/functions/* > /dev/null 2>&1
 then
-	for FUNCTION in auto/functions/*
+	for FUNCTION in local/functions/*
 	do
 		. "${FUNCTION}"
 	done
diff --git a/scripts/build/lb_config b/scripts/build/lb_config
index 6450203..6842c51 100755
--- a/scripts/build/lb_config
+++ b/scripts/build/lb_config
@@ -1449,8 +1449,8 @@ LB_SOURCE="${LB_SOURCE}"
 LB_SOURCE_IMAGES="${LB_SOURCE_IMAGES}"
 EOF
 
-mkdir -p auto/functions
-mkdir -p auto/scripts
+mkdir -p local/functions
+mkdir -p local/scripts
 
 if [ "${CONFIG}" = "clone" ] # FIXME
 then
@@ -1475,9 +1475,10 @@ then
 	# Remove empty directories in config tree
 	rmdir --ignore-fail-on-non-empty config/*/ > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty config > /dev/null 2>&1 || true
-	rmdir --ignore-fail-on-non-empty auto/functions > /dev/null 2>&1 || true
-	rmdir --ignore-fail-on-non-empty auto/scripts > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty auto > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty local/functions > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty local/scripts > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty local > /dev/null 2>&1 || true
 fi
 
 # Creating stage file

-- 
live-build



More information about the debian-live-changes mailing list